Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.kernel
Class KodoBroker

    java.lang.Object
      org.apache.openjpa.kernel.BrokerImpl
          kodo.kernel.KodoBroker

All Implemented Interfaces:
  com.solarmetric.profile.ProfilingAgentProvider, com.solarmetric.profile.ProfilingEnvironment, Connection, LocalTransaction, Synchronization, KodoStoreContext, org.apache.openjpa.event.CallbackModes, org.apache.openjpa.kernel.AutoClear, org.apache.openjpa.kernel.AutoDetach, org.apache.openjpa.kernel.Broker, org.apache.openjpa.kernel.ConnectionRetainModes, org.apache.openjpa.kernel.DetachState, org.apache.openjpa.kernel.FindCallbacks, org.apache.openjpa.kernel.LockLevels, org.apache.openjpa.kernel.RestoreState, org.apache.openjpa.kernel.StoreContext, org.apache.openjpa.lib.util.Closeable

    public class KodoBroker

extends org.apache.openjpa.kernel.BrokerImpl
implements KodoStoreContext

Kodo extensions to standard `Broker`.

Field Summary

Fields inherited from class org.apache.openjpa.kernel.BrokerImpl
`FLUSH_COMMIT, FLUSH_INC, FLUSH_LOGICAL, FLUSH_ROLLBACK`

Fields inherited from interface org.apache.openjpa.kernel.StoreContext
`EXCLUDE_ALL, OID_ALLOW_NEW, OID_COPY, OID_NODELETED, OID_NOVALIDATE`

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Fields inherited from interface org.apache.openjpa.kernel.DetachState
`DETACH_ALL, DETACH_FGS, DETACH_LOADED`

Fields inherited from interface org.apache.openjpa.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface org.apache.openjpa.kernel.RestoreState
`RESTORE_ALL, RESTORE_IMMUTABLE, RESTORE_NONE`

Fields inherited from interface org.apache.openjpa.kernel.AutoClear
`CLEAR_ALL, CLEAR_DATASTORE`

Fields inherited from interface org.apache.openjpa.kernel.AutoDetach
`DETACH_CLOSE, DETACH_COMMIT, DETACH_NONTXREAD`

Fields inherited from interface org.apache.openjpa.event.CallbackModes
`CALLBACK_FAIL_FAST, CALLBACK_IGNORE, CALLBACK_LOG, CALLBACK_RETHROW, CALLBACK_ROLLBACK`

Constructor Summary
`KodoBroker()`

Method Summary
`Object` | `attach(Object obj, boolean copyNew, org.apache.openjpa.kernel.OpCallbacks call)`
`Object[]` | `attachAll(Collection objs, boolean copyNew, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `begin()`
`void` | `commit()`
`void` | `delete(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `deleteAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`Object` | `detach(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`Object[]` | `detachAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `detachAll(org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `evict(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `evictAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `evictAll(org.apache.openjpa.kernel.Extent ext, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `evictAll(org.apache.openjpa.kernel.OpCallbacks call)`
`Object` | `find(Object oid, boolean validate, org.apache.openjpa.kernel.FindCallbacks call)`
`Object[]` | `findAll(Collection oids, boolean validate, org.apache.openjpa.kernel.FindCallbacks call)`
`protected void` | `free()`
`com.solarmetric.profile.ProfilingAgent` | `getProfilingAgent()`
`void` | `initialize(org.apache.openjpa.kernel.AbstractBrokerFactory factory, org.apache.openjpa.kernel.DelegatingStoreManager sm, boolean managed, int connMode)`
`protected org.apache.openjpa.kernel.StateManagerImpl` | `initialize(org.apache.openjpa.kernel.StateManagerImpl sm, boolean load, org.apache.openjpa.kernel.FetchConfiguration fetch, Object edata)`
`org.apache.openjpa.kernel.Query` | `newQuery(String lang, Class candidate, Object query)`
`org.apache.openjpa.kernel.Query` | `newQuery(String lang, Object query)`
`protected org.apache.openjpa.kernel.QueryImpl` | `newQueryImpl(String language, org.apache.openjpa.kernel.StoreQuery sq)`
`protected org.apache.openjpa.kernel.StateManagerImpl` | `newStateManagerImpl(Object oid, org.apache.openjpa.meta.ClassMetaData meta)`
`void` | `nontransactional(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `nontransactionalAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `persist(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `persistAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `refresh(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `refreshAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `release(Object obj, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `releaseAll(Collection objs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `retrieve(Object obj, boolean fgs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `retrieveAll(Collection objs, boolean fgs, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `rollback()`
`void` | `transactional(Object obj, boolean versn, org.apache.openjpa.kernel.OpCallbacks call)`
`void` | `transactionalAll(Collection objs, boolean versn, org.apache.openjpa.kernel.OpCallbacks call)`

Methods inherited from class org.apache.openjpa.kernel.BrokerImpl
`addLifecycleListener, addTransactionListener, afterCompletion, assertActiveTransaction, assertNontransactionalRead, assertOpen, assertPersistenceCapable, assertWriteOperation, beforeCompletion, beginOperation, beginStore, cancelAll, close, commitAndResume, createInteraction, dirtyType, embed, endOperation, endTransaction, extentIterator, finalize, find, find, findAll, findAll, findCached, flush, flush, getAutoClear, getAutoDetach, getBroker, getBrokerFactory, getClassLoader, getConfiguration, getConnection, getConnectionPassword, getConnectionRetainMode, getConnectionUserName, getDeletedTypes, getDetachState, getDirtyObjects, getDirtyStates, getEvictFromDataCache, getFetchConfiguration, getIdentitySequence, getIgnoreChanges, getInverseManager, getLifecycleEventManager, getLifecycleListenerCallbackMode, getLocalTransaction, getLockLevel, getLockManager, getManagedObjects, getManagedRuntime, getManagedStates, getMetaData, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectId, getObjectIdType, getOptimistic, getOrderDirtyObjects, getPendingTransactionalObjects, getPendingTransactionalStates, getPersistedTypes, getPopulateDataCache, getRestoreState, getResultSetInfo, getRetainState, getRollbackOnly, getStateManager, getStateManagerImpl, getStateManagerImplById, getStoreManager, getSynchronization, getSyncWithManagedTransactions, getTransactionalObjects, getTransactionalStates, getTransactionListenerCallbackMode, getUpdatedTypes, getUserObject, getValueSequence, getVersion, hasConnection, isActive, isClosed, isDeleted, isDetached, isDetachedNew, isDirty, isLargeTransaction, isManaged, isNew, isPersistent, isStoreActive, isTransactional, lock, lock, lock, lockAll, lockAll, newExtent, newInstance, newManagedObjectCache, newObjectId, persist, persist, persist, persistAll, preFlush, processArgument, processReturn, putUserObject, refreshInternal, refreshInternal, releaseSavepoint, releaseSavepoint, removeLifecycleListener, removeTransactionListener, rollbackAndResume, rollbackToSavepoint, rollbackToSavepoint, setAuthentication, setAutoClear, setAutoDetach, setAutoDetach, setDetachedNew, setDetachState, setEvictFromDataCache, setIgnoreChanges, setImplicitBehavior, setLargeTransaction, setLifecycleListenerCallbackMode, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setOrderDirtyObjects, setPopulateDataCache, setRestoreState, setRetainState, setRollbackOnly, setSavepoint, setSynchronization, setSyncWithManagedTransactions, setTransactionListenerCallbackMode, syncWithManagedTransaction, unlock, validateChanges`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.kernel.StoreContext
`beginStore, embed, extentIterator, find, findAll, findCached, getBroker, getClassLoader, getConfiguration, getConnection, getConnectionPassword, getConnectionUserName, getDeletedTypes, getDetachState, getDirtyObjects, getFetchConfiguration, getLockLevel, getLockManager, getManagedObjects, getObjectId, getObjectIdType, getOrderDirtyObjects, getPendingTransactionalObjects, getPersistedTypes, getPopulateDataCache, getStateManager, getStoreManager, getTransactionalObjects, getUpdatedTypes, getVersion, hasConnection, isActive, isDeleted, isDirty, isLargeTransaction, isManaged, isNew, isPersistent, isStoreActive, isTransactional, lock, newObjectId, setDetachState, setLargeTransaction, setOrderDirtyObjects, setPopulateDataCache, unlock`

Constructor Detail

### KodoBroker

    public KodoBroker()

Method Detail

### initialize

    public void initialize(org.apache.openjpa.kernel.AbstractBrokerFactory factory,
                           org.apache.openjpa.kernel.DelegatingStoreManager sm,
                           boolean managed,
                           int connMode)

  Overrides:
    `initialize` in class `org.apache.openjpa.kernel.BrokerImpl`

### newStateManagerImpl

    protected org.apache.openjpa.kernel.StateManagerImpl newStateManagerImpl(Object oid,
                                                                             org.apache.openjpa.meta.ClassMetaData meta)

  Overrides:
    `newStateManagerImpl` in class `org.apache.openjpa.kernel.BrokerImpl`

### initialize

    protected org.apache.openjpa.kernel.StateManagerImpl initialize(org.apache.openjpa.kernel.StateManagerImpl sm,
                                                                    boolean load,
                                                                    org.apache.openjpa.kernel.FetchConfiguration fetch,
                                                                    Object edata)

  Overrides:
    `initialize` in class `org.apache.openjpa.kernel.BrokerImpl`

### begin

    public void begin()

  Specified by:
    `begin` in interface `LocalTransaction`
  Specified by:
    `begin` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `begin` in class `org.apache.openjpa.kernel.BrokerImpl`

### commit

    public void commit()

  Specified by:
    `commit` in interface `LocalTransaction`
  Specified by:
    `commit` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `commit` in class `org.apache.openjpa.kernel.BrokerImpl`

### rollback

    public void rollback()

  Specified by:
    `rollback` in interface `LocalTransaction`
  Specified by:
    `rollback` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `rollback` in class `org.apache.openjpa.kernel.BrokerImpl`

### newQueryImpl

    protected org.apache.openjpa.kernel.QueryImpl newQueryImpl(String language,
                                                               org.apache.openjpa.kernel.StoreQuery sq)

  Overrides:
    `newQueryImpl` in class `org.apache.openjpa.kernel.BrokerImpl`

### free

    protected void free()

  Overrides:
    `free` in class `org.apache.openjpa.kernel.BrokerImpl`

### getProfilingAgent

    public com.solarmetric.profile.ProfilingAgent getProfilingAgent()

  Specified by:
    `getProfilingAgent` in interface `com.solarmetric.profile.ProfilingAgentProvider`

### persist

    public void persist(Object obj,
                        org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `persist` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `persist` in class `org.apache.openjpa.kernel.BrokerImpl`

### persistAll

    public void persistAll(Collection objs,
                           org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `persistAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `persistAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### delete

    public void delete(Object obj,
                       org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `delete` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `delete` in class `org.apache.openjpa.kernel.BrokerImpl`

### deleteAll

    public void deleteAll(Collection objs,
                          org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `deleteAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `deleteAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### refresh

    public void refresh(Object obj,
                        org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `refresh` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `refresh` in class `org.apache.openjpa.kernel.BrokerImpl`

### refreshAll

    public void refreshAll(Collection objs,
                           org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `refreshAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `refreshAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### release

    public void release(Object obj,
                        org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `release` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `release` in class `org.apache.openjpa.kernel.BrokerImpl`

### releaseAll

    public void releaseAll(Collection objs,
                           org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `releaseAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `releaseAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### transactional

    public void transactional(Object obj,
                              boolean versn,
                              org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `transactional` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `transactional` in class `org.apache.openjpa.kernel.BrokerImpl`

### transactionalAll

    public void transactionalAll(Collection objs,
                                 boolean versn,
                                 org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `transactionalAll` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `transactionalAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### nontransactional

    public void nontransactional(Object obj,
                                 org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `nontransactional` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `nontransactional` in class `org.apache.openjpa.kernel.BrokerImpl`

### nontransactionalAll

    public void nontransactionalAll(Collection objs,
                                    org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `nontransactionalAll` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `nontransactionalAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### evict

    public void evict(Object obj,
                      org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `evict` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `evict` in class `org.apache.openjpa.kernel.BrokerImpl`

### evictAll

    public void evictAll(Collection objs,
                         org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `evictAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `evictAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### evictAll

    public void evictAll(org.apache.openjpa.kernel.Extent ext,
                         org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `evictAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `evictAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### evictAll

    public void evictAll(org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `evictAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `evictAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### retrieve

    public void retrieve(Object obj,
                         boolean fgs,
                         org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `retrieve` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `retrieve` in class `org.apache.openjpa.kernel.BrokerImpl`

### retrieveAll

    public void retrieveAll(Collection objs,
                            boolean fgs,
                            org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `retrieveAll` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `retrieveAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### find

    public Object find(Object oid,
                       boolean validate,
                       org.apache.openjpa.kernel.FindCallbacks call)

  Specified by:
    `find` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `find` in class `org.apache.openjpa.kernel.BrokerImpl`

### findAll

    public Object[] findAll(Collection oids,
                            boolean validate,
                            org.apache.openjpa.kernel.FindCallbacks call)

  Specified by:
    `findAll` in interface `org.apache.openjpa.kernel.StoreContext`
  Overrides:
    `findAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### newQuery

    public org.apache.openjpa.kernel.Query newQuery(String lang,
                                                    Object query)

  Specified by:
    `newQuery` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `newQuery` in class `org.apache.openjpa.kernel.BrokerImpl`

### newQuery

    public org.apache.openjpa.kernel.Query newQuery(String lang,
                                                    Class candidate,
                                                    Object query)

  Specified by:
    `newQuery` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `newQuery` in class `org.apache.openjpa.kernel.BrokerImpl`

### attach

    public Object attach(Object obj,
                         boolean copyNew,
                         org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `attach` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `attach` in class `org.apache.openjpa.kernel.BrokerImpl`

### attachAll

    public Object[] attachAll(Collection objs,
                              boolean copyNew,
                              org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `attachAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `attachAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### detach

    public Object detach(Object obj,
                         org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `detach` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `detach` in class `org.apache.openjpa.kernel.BrokerImpl`

### detachAll

    public Object[] detachAll(Collection objs,
                              org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `detachAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `detachAll` in class `org.apache.openjpa.kernel.BrokerImpl`

### detachAll

    public void detachAll(org.apache.openjpa.kernel.OpCallbacks call)

  Specified by:
    `detachAll` in interface `org.apache.openjpa.kernel.Broker`
  Overrides:
    `detachAll` in class `org.apache.openjpa.kernel.BrokerImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.